<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

	<!-- Bootstrap CSS -->
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">

	<title>Bootstrap Flex</title>
</head>
<body>

	<h1 class="text-center m-3">BOOTSTRAP FLEX</h1>
	<p class="text-center">Use the <strong><em>d-flex</em></strong> class to create a flex container and transform direct children into flex items.</p>

	<!-- margins on the side because of the .container // no margins if using .container-fluid -->
	<!-- using d-flex to place flex items side by side -->
	<!-- to center the children : justify-content-center -->
	<div class="container bg-secondary d-flex justify-content-around align-items-baseline flex-row flex-wrap align-content-center" style="height: 500px;">
		<div class="bg-success font-weight-bold p-3">Flex Item A</div>
		<div class="bg-warning font-weight-bold p-3">Flex Item B</div>
		<div class="bg-danger font-weight-bold p-3">Flex Item C</div>
	</div>

	<!-- using d-flex on grid system -->
	<div class="container">
		<div class="row d-flex align-items-center"> <!-- by default, row, is a declared d-flex attribute.. this will work even without declaring d-flex -->
			<div class="col-12 col-md-6 text-center">
				<p>This is a very long message.</p>
			</div>
			<div class="col-12 col-md-6">
				<img src="https://techtipsnreview.com/wp-content/uploads/2021/03/Hinh-nen-dep-cute-700.jpg" class="img-fluid">
			</div>
		</div>
	</div>

	<div style="margin-top: 100px;"></div>

</body>
</html>